#include <color.h>
#include <stdio.h>
#include <string.h>

int
checkkey(int argc, char *argv[])
{
	FILE *key1;
	FILE *key2;

	int cnt1 = 0;
	int cnt2 = 0;
	int flg = 0;

	if (argv < 3) {
		printf("usage: %s [-g] [-c] [-h] [-v] KEYFILE KEY\n", argv[0]);
		return 1;
	}

	key1 = fopen(argv[1], "r");
	if (key1 == NULL) {
		printf("cannot open local first key file\n");
		return 1;
	}

	fseek(key1, 0, SEEK_END);
	cnt1 = ftell(key1);

	key2 = fopen(argv[2], "r");
	if (key2 == NULL) {
		printf("cannot open second key file\n");
		return 1;
	}

	fseek(key2, 0, SEEK_END);
	cnt2 = ftell(key2);

	fseek(key1, 0, SEEK_SET);
	fseek(key2, 0, SEEK_SET);

	if (cnt1 != cnt2) {
		printf(COL_RED "keys do not match\n" COL_RESET);
		return 1;
	} else {
		while (! feof(key1)) {
			if (fgetc(key1) != fgetc(key2)) {
				flg = 1;
				break;
			}
		}
		if (flg) {
			printf(COL_RED "keys do not match\n" COL_RESET);
			return 1;
		} else {
			printf(COL_GREEN "keys match\n" COL_RESET);
			return 0;
		}
	}

	fclose(key1);
	fclose(key2);

	return 0;
}

int
main(int argc, char *argv[])
{
	checkkey(argc, argv);
}
